class Prqlc < Formula
  desc "Simple, powerful, pipelined SQL replacement"
  homepage "https://prql-lang.org"
  url "https://github.com/PRQL/prql/archive/refs/tags/0.13.0.tar.gz"
  sha256 "2b2f64d5173800b1b82b1644e54b9c5e47e571d93faa1962371e52a47361dbb6"
  license "Apache-2.0"
  head "https://github.com/prql/prql.git", branch: "main"

  depends_on "rust" => :build

  def install
    system "cargo", "install", "prqlc", *std_cargo_args(path: "prqlc/prqlc")
  end

  test do
    stdin = "from employees | filter has_dog | select salary"
    stdout = pipe_output("#{bin}/prqlc compile", stdin)
    assert_match "SELECT", stdout
  end
end
